Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Get Work Order Location GETUpdate Work Order Location PUT

Resources

LogisticsLocation

Update Work Order Location


Update the location associated with the work order (address, saved location, or coordinates).

PUT
/api/rest/v2/workorders/{work_order_id}/location

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Request Body

application/json

work order schedule pay model

mode*string

Mode

Value in"custom" | "remote" | "location"
address1*string

Address line 1

address2?string

Address line 2

city*string

City

state*string

State

zip*string

Postal/ZIP code

country*string

Country

type?

Location type

saved_location*|

Saved location

display_name?string

Display name

save_location?|

Save location name

save_location_group?|

Save location group ID

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/location" \  -H "Content-Type: application/json" \  -d '{    "mode": "location",    "address1": "123 Main St",    "city": "Minneapolis",    "state": "MN",    "zip": "55401",    "country": "US",    "saved_location": {      "id": 99    }  }'
{
  "coordinates": {
    "latitude": 44.9778,
    "longitude": -93.265,
    "exact": true
  },
  "work_order_id": 1001,
  "mode": "string_value",
  "address1": "123 Main St",
  "address2": "Suite 100",
  "city": "Minneapolis",
  "state": "MN",
  "zip": "90210",
  "country": "USA",
  "notes": [],
  "type": {
    "id": 123,
    "name": "Sample Name"
  },
  "saved_location": {
    "id": 123,
    "name": "Sample Name",
    "display_name": "string_value",
    "contact": {
      "name": "Sample Name",
      "phone": "555-0199"
    },
    "group": {
      "id": 123,
      "name": "Sample Name"
    }
  },
  "display_name": "string_value",
  "status_id": 0,
  "correlation_id": "string_value",
  "zoom": "string_value",
  "map": {
    "url": "https://fieldnation.com",
    "href": "string_value"
  },
  "actions": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Get Work Order Location GET

Previous Page

Delete Work Order Shipment DELETE

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/location" \
  -H "Content-Type: application/json" \
  -d '{
    "mode": "location",
    "address1": "123 Main St",
    "city": "Minneapolis",
    "state": "MN",
    "zip": "55401",
    "country": "US",
    "saved_location": {
      "id": 99
    }
  }'